Share via


Server Operations - List By Server

Gets a list of operations performed on the server.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/operations?api-version=2025-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ServerOperationListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List the server management operations

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/operations?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "11111111-1111-1111-1111-111111111111",
      "type": "Microsoft.Sql/servers/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/operations/11111111-1111-1111-1111-111111111111",
      "properties": {
        "operation": "MakeAllLogicalDatabasesAccessible",
        "operationFriendlyName": "MAKE ALL DBS ACCESSIBLE",
        "percentComplete": 0,
        "serverName": "sqlcrudtest-4645",
        "startTime": "2017-06-01T09:10:08.1Z",
        "state": "InProgress"
      }
    },
    {
      "name": "22222222-2222-2222-2222-222222222222",
      "type": "Microsoft.Sql/servers/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/operations/22222222-2222-2222-2222-222222222222",
      "properties": {
        "operation": "MakeAllLogicalDatabasesAccessible",
        "operationFriendlyName": "MAKE ALL DBS ACCESSIBLE",
        "percentComplete": 100,
        "serverName": "sqlcrudtest-4645",
        "startTime": "2017-06-01T09:00:08.1Z",
        "state": "Succeeded"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagementOperationState

The operation state.

ServerOperation

A server operation.

ServerOperationListResult

The response of a ServerOperation list operation.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagementOperationState

The operation state.

Value Description
Pending

Pending

InProgress

InProgress

Succeeded

Succeeded

Failed

Failed

CancelInProgress

CancelInProgress

Cancelled

Cancelled

ServerOperation

A server operation.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.description

string

The operation description.

properties.errorCode

integer (int32)

The operation error code.

properties.errorDescription

string

The operation error description.

properties.errorSeverity

integer (int32)

The operation error severity.

properties.estimatedCompletionTime

string (date-time)

The estimated completion time of the operation.

properties.isCancellable

boolean

Whether the operation can be cancelled.

properties.isUserError

boolean

Whether or not the error is a user error.

properties.operation

string

The name of operation.

properties.operationFriendlyName

string

The friendly name of operation.

properties.percentComplete

integer (int32)

The percentage of the operation completed.

properties.serverName

string

The name of the server.

properties.startTime

string (date-time)

The operation start time.

properties.state

ManagementOperationState

The operation state.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ServerOperationListResult

The response of a ServerOperation list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ServerOperation[]

The ServerOperation items on this page

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.